-- phpMyAdmin SQL Dump
-- version 2.10.3deb1ubuntu0.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Feb 08, 2008 at 11:59 PM
-- Server version: 5.0.45
-- PHP Version: 5.2.3-1ubuntu6.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Database: `DemoManage`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `access`
-- 

CREATE TABLE IF NOT EXISTS `access` (
  `user` int(11) NOT NULL,
  `role` varchar(255) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

-- 
-- Table structure for table `config`
-- 

CREATE TABLE IF NOT EXISTS `config` (
  `hash` char(32) NOT NULL,
  `path` text NOT NULL,
  `type` tinyint(4) NOT NULL,
  `value` varchar(2000) default NULL,
  `children` text default NULL,
  PRIMARY KEY  (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Table structure for table `deleted_record`
-- 

CREATE TABLE IF NOT EXISTS `deleted_record` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `last_modified` datetime NOT NULL,
  `form` int(10) unsigned NOT NULL,
  `parent` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `entry`
-- 

CREATE TABLE IF NOT EXISTS `entry` (
  `record` int(10) unsigned NOT NULL,
  `form_field` int(10) unsigned NOT NULL,
  `date` datetime NOT NULL,
  `who` int(10) unsigned NOT NULL,
  `change_type` tinyint(3) unsigned NOT NULL,
  `multiple` tinyint(3) unsigned NOT NULL,
  `string_value` varchar(255) collate utf8_bin default NULL,
  `integer_value` int(11) default NULL,
  `text_value` text collate utf8_bin,
  `date_value` datetime default NULL,
  `blob_value` longblob,
  PRIMARY KEY  (`record`,`form_field`,`date`),
  KEY `date` (`date`),
  KEY `form_field` (`form_field`),
  KEY `record` (`record`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

-- 
-- Table structure for table `field`
-- 

CREATE TABLE IF NOT EXISTS `field` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(50) collate utf8_bin NOT NULL,
  `type` varchar(16) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name_type` (`name`,`type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=137 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `field_sequence`
-- 

CREATE TABLE IF NOT EXISTS `field_sequence` (
  `form_field` int(11) NOT NULL,
  `sequence` int(11) NOT NULL,
  PRIMARY KEY  (`form_field`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Table structure for table `form`
-- 

CREATE TABLE IF NOT EXISTS `form` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(50) collate utf8_bin NOT NULL,
  `type` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=52 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `form_field`
-- 

CREATE TABLE IF NOT EXISTS `form_field` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `form` int(10) unsigned NOT NULL,
  `field` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `form` (`form`,`field`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=244 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `last_entry`
-- 

CREATE TABLE IF NOT EXISTS `last_entry` (
  `record` int(10) unsigned NOT NULL,
  `form_field` int(10) unsigned NOT NULL,
  `date` datetime NOT NULL,
  `who` int(10) unsigned NOT NULL,
  `change_type` tinyint(3) unsigned NOT NULL,
  `multiple` tinyint(3) unsigned NOT NULL,
  `string_value` varchar(255) collate utf8_bin default NULL,
  `integer_value` int(11) default NULL,
  `text_value` text collate utf8_bin,
  `date_value` datetime default NULL,
  `blob_value` longblob,
  PRIMARY KEY  (`record`,`form_field`),
  KEY `form_field` (`form_field`),
  KEY `record` (`record`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

-- 
-- Table structure for table `record`
-- 

CREATE TABLE IF NOT EXISTS `record` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `last_modified` datetime NOT NULL,
  `form` int(10) unsigned NOT NULL,
  `parent` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=10202 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `report`
-- 

CREATE TABLE IF NOT EXISTS `report` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(50) NOT NULL,
  `report` varchar(50) NOT NULL,
  `cached` datetime NOT NULL,
  `status` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `type` (`type`,`report`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `report_list`
-- 

CREATE TABLE IF NOT EXISTS `report_list` (
  `primary` int(11) NOT NULL,
  `secondary` int(11) NOT NULL,
  PRIMARY KEY  (`primary`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `user` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(30) default NULL,
  `password` varchar(255) default NULL,
  `lastname` varchar(255) default NULL,
  `firstname` varchar(255) default NULL,
  `creator` int(11) default NULL,
  `email` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `user` VALUES (1,'admin','21232f297a57a5a743894a0e4a801fc3','Admin','Admin',1,'admin@example.com');
INSERT INTO `access` VALUES (1, 'admin');
